Magick::DrawableDensity Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableDensity:
[legend]
Collaboration diagram for Magick::DrawableDensity:
[legend]

## Public Member Functions

| DrawableDensity (const Point &density_)
| DrawableDensity (const std::string &density_)
| ~DrawableDensity (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 831 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableDensity() [1/2]

Magick::DrawableDensity::DrawableDensity | ( | const Point & | density_ | ) |

Definition at line 643 of file Drawable.cpp.

## DrawableDensity() [2/2]

Magick::DrawableDensity::DrawableDensity | ( | const std::string & | density_ | ) |

Definition at line 648 of file Drawable.cpp.

## ~DrawableDensity()

Magick::DrawableDensity::~DrawableDensity | ( | void |  | ) |

Definition at line 653 of file Drawable.cpp.

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableDensity::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 663 of file Drawable.cpp.

## operator()()

void Magick::DrawableDensity::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 657 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp